Subject: Re: [PATCH] Revert "smc91x: retrieve IRQ and trigger flags in a modern way"

From: Robert Jarzmik <[email-masked]>
Date: Fri, 13 Feb 2015 09:12:29 +0100

Linus Walleij <[email-masked]> writes:

> On Fri, Feb 13, 2015 at 12:59 AM, Robert Jarzmik <[email-masked]> wrote:
> But isn't the real problem that in the device tree case,
> irq_get_irq_data(ndev->irq) will work becaus parsing an interrupt
> from the device tree populates it correctly in platform_get_irq()
> whereas for the legacy lookup it just fetches the number.
>
> So to me it seems like a weakness in the platform_get_irq()
> helper altogether.
>
> Does the following work? (I can send as a separate patch for
> testing if you like).

I will test this evening (GMT+1 time), I feel this will work, and that this
solution looks better to me than the sheer revert. I don't ask for a separate
patch, yet if it is confirmed that it works, you'll have to submit it anyway :)

Cheers.

--
Robert